/*
Copyright 2011 Johan Maasing

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package nu.zoom.catonine.desktop.rule;

import nu.zoom.swing.action.AbstractTypedAction;
import nu.zoom.ui.Resources;
import nu.zoom.ui.Resources.ResourceNotFoundException;

/**
 * Skelton action to edit style rules. Purpose is to give the action the same
 * name & icon whereever it is used.
 * 
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 * 
 */
public abstract class AbstractEditStyleRulesAction extends AbstractTypedAction {
	private static final long serialVersionUID = 3308349013167408922L;

	/**
	 * @throws ResourceNotFoundException
	 * 
	 */
	public AbstractEditStyleRulesAction(Resources messages) throws ResourceNotFoundException {
		setName(messages.getMessage("nu.zoom.catonine.stylerule.edit"));
		setToolTip(messages.getMessage("nu.zoom.catonine.stylerule.edit.tt"));
		setIcon(messages.getIcon("nu.zoom.catonine.stylerule.edit.icon"));
	}

}
