/*
 * Copyright (C) 2006 Johan Maasing johan at zoom.nu Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package nu.zoom.catonine.desktop.rule;

import nu.zoom.catonine.stylerule.StyleRules;
import nu.zoom.catonine.stylerule.StyleRulesManager;
import nu.zoom.swing.desktop.PlugIn;
import nu.zoom.ui.Resources.ResourceNotFoundException;

/**
 * A zoom.nu deskopt plug-in that exposes the current collection of style rules.
 * 
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 * 
 */
public interface StyleRulesPlugIn extends PlugIn {

	public StyleRulesManager getStyleRulesManager();

	public void editStyleRules(StyleRules styleRules)
			throws ResourceNotFoundException;

	public interface StyleRulesPlugInListener {
		public void styleRulesManagerChanged(StyleRulesManager newManager);
	}

	public void addListener(StyleRulesPlugInListener listener);

	public void removeListener(StyleRulesPlugInListener listener);

	public void createSimpleRule(StyleRules rules, String selectedText)
			throws ResourceNotFoundException;
}
